Asterisk 11.5.0

Home » Asterisk Users » Asterisk 11.5.0
Asterisk Users 8 Comments

I have been using 11.4.0 for some time. All was fine.

I downloaded 11.5, extracted, run ./configure, make, make install. I got a message about res_rtp_asterisk.so was not compiled in the 11.5

Sure enough I have rss_rtp_asterisk.c but not .o file and no .so file.

I then looked in the config.log and nothing is in there about res_rtp_asterisk

What’s up?

jerry

8 thoughts on - Asterisk 11.5.0

  • Thanks for the suggestion. I did a “yum install uuid-devel” it got installed. I did a make clean, ./configure, make again and still no res_rtp_asterisk.

    asterisk-11.5.0]# find . |grep res_rtp
    ./res/.res_rtp_asterisk.makeopts
    ./res/res_rtp_multicast.exports
    ./res/res_rtp_multicast.o
    ./res/.res_rtp_multicast.moduleinfo
    ./res/res_rtp_multicast.c
    ./res/.res_rtp_multicast.o.d
    ./res/.res_rtp_multicast.makeopts
    ./res/res_rtp_asterisk.c
    ./res/res_rtp_multicast.so
    ./res/.res_rtp_asterisk.moduleinfo

    Was there something else?

    jerry

  • Do a make distclean
    ./configure make menuselect

    Review the setting and make sure it’s checked.

    Doug

  • I did as you suggested, the make menuselect showed XXX by res_rtp_asterisk and said “depends on uuid(E)”.

    rpm -qa | grep uuid uuid-1.6.1-10.el6.x86_64
    libuuid-2.17.2-12.9.el6_4.3.x86_64
    uuid-devel-1.6.1-10.el6.x86_64
    libuuid-2.17.2-12.9.el6_4.3.i686

    so the UUID-devel is present.

    Thoughts?

    jerry

  • On my Mageia system:

    rpm -qa|grep -i uuid libuuid-devel-2.17.1-5.2mdv2010.2
    libuuid1-2.17.1-5.2mdv2010.2

    So maybe you also have a libuuid-devel?

  • This is what worked for me on a CentOS 6.4 32-bit system.

    libuuid-2.17.2-12.9.el6_4.3.i686
    libuuid-devel-2.17.2-12.9.el6_4.3.i686 < --------------------- this is the one you need uuid-1.6.1-10.el6.i686 uuid-devel-1.6.1-10.el6.i686 You will want the x86_64 versions of these for your system…